
mixin tabelaPessoaRelacionamento(pessoas, showCNPJ)

	table.table.table-striped
		thead
			tr
				th.col-md-6
					div(ng-hide=''+ showCNPJ)
						| Nome

					div(ng-show=''+ showCNPJ)
						| Nome / Razão social

				th.col-md-6

					div(ng-hide=''+ showCNPJ)
						| CPF

					div(ng-show=''+ showCNPJ)
						| CPF / CNPJ

				th

		tbody

			tr(ng-repeat=("pessoa in "+ pessoas +""))

				td(ng-if="pessoa.tipo.codigo === constantes.CODIGO_PESSOA_FISICA")
					.text(uib-tooltip="{{pessoa.nome}}", tooltip-placement="top-left")
						span {{pessoa.nome}}

				td(ng-if="pessoa.tipo.codigo === constantes.CODIGO_PESSOA_JURIDICA")
					.text(uib-tooltip="{{pessoa.razaoSocial}}", tooltip-placement="top-left")
						span {{pessoa.razaoSocial}}

				td(ng-if="pessoa.tipo.codigo === constantes.CODIGO_PESSOA_FISICA")
					.text(uib-tooltip="{{pessoa.cpf | cpfCnpj}}", ng-if="pessoa.tipo.codigo === constantes.CODIGO_PESSOA_FISICA", tooltip-placement="top-left")
						span {{pessoa.cpf | cpfCnpj}}

				td(ng-if="pessoa.tipo.codigo === constantes.CODIGO_PESSOA_JURIDICA")
					.text(uib-tooltip="{{pessoa.cnpj | cpfCnpj}}", tooltip-placement="top-left")
						span {{pessoa.cnpj | cpfCnpj}}

				td
					div.dropdown

						button.btn.btn-primary.btn-xs.btn-outline(type="button", data-toggle="dropdown")
							| Ações&nbsp;
							span.caret

						ul.dropdown-menu.dropdown-menu-right(role="menu")

							li
								a(title='Visualizar', ng-click='visualizarPessoa(pessoa)')
									i.material-icons remove_red_eye
									|	Visualizar

							li
								a(title='Remover', ng-click='abrirModalDesvincular( $index, pessoa,'+pessoas+')')
									i.mdi.mdi-16px.mdi-link-variant-off
									|	Desvincular